%define lib_blkid_major 1
%define lib_blkid %mklibname blkid %{lib_blkid_major}
%define lib_blkid_devel %mklibname blkid -d

%define lib_uuid_major 1
%define lib_uuid %mklibname uuid %{lib_uuid_major}
%define lib_uuid_devel %mklibname uuid -d

%define lib_ext2fs %mklibname ext2fs 2
%define lib_ext2fs_devel %mklibname ext2fs -d

%define lib_mount_major 1
%define lib_mount %mklibname mount %{lib_mount_major}
%define lib_mount_devel %mklibname mount -d

%define git_url git://git.kernel.org/pub/scm/utils/util-linux/util-linux.git

%define build_bootstrap 0
# Define to %nil for release builds, e.g. rc2 for rc builds
%define beta %nil

%if !%{build_bootstrap}
%bcond_without	uclibc
%endif

### Header
Summary:	A collection of basic system utilities
Name:		util-linux
Version:	2.22
%if "%beta" == ""
Release:	6.2
ExclusiveArch:	%{ix86}
Source0:	ftp://ftp.kernel.org/pub/linux/utils/%{name}/v%(echo %{version} |cut -d. -f1-2)/%{name}-%{version}.tar.xz
%else
Release:	0.%beta.2
Source0:	ftp://ftp.kernel.org/pub/linux/utils/%{name}/v%(echo %{version} |cut -d. -f1-2)/%{name}-%{version}-%beta.tar.xz
%endif
License:	GPLv2 and GPLv2+ and BSD with advertising and Public Domain
Group:		System/Base
URL:		ftp://ftp.kernel.org/pub/linux/utils/util-linux

### Features
%define include_raw 1
### Macros
%define no_hwclock_archs s390 s390x

### Dependences
BuildRequires:	gcc
BuildRequires:	sed
%if !%{build_bootstrap}
BuildRequires:	ext2fs-devel
%endif
BuildRequires:	gettext-devel
BuildRequires:	pam-devel
BuildRequires:	ncursesw-devel >= 5.9-6.20120922.3
#BuildRequires:	termcap-devel
BuildRequires:	slang-devel
BuildRequires:	zlib-devel
BuildRequires:	libaudit-devel
BuildRequires:	pkgconfig(systemd)
%if %{with uclibc}
BuildRequires:	uClibc-devel >= 0.9.33.2-16
%endif
BuildRequires:	libtool
BuildRequires:	rpm-build >= 1:5.4.10-5

### Sources
# based on Fedora pam files, with pam_selinux stripped out
Source1:	util-linux-ng-login.pamd
Source2:	util-linux-ng-remote.pamd
Source3:	util-linux-ng-chsh-chfn.pamd
Source4:	util-linux-ng-60-raw.rules
Source5:	su.pamd
Source6:	su-l.pamd
Source8:	nologin.c
Source9:	nologin.8
Source10:	uuidd.init

### Obsoletes & Conflicts & Provides
# old versions of util-linux have been splited to more sub-packages
%rename		mount
%rename		losetup
Obsoletes:	util-linux-ng < 2.19
Obsoletes:	util-linux <= 2.13-0.pre7.6mdv2008.0
Provides:	util-linux = %{version}-%{release}
Provides:	util-linux-ng = %{version}-%{release}
# old versions of e2fsprogs provides blkid / uuidd
Conflicts:	e2fsprogs < 1.41.8-2mnb2
Conflicts:	setup < 2.7.18-6
# old version of sysvinit-tools provides sulogin and utmpdump
Conflicts:	sysvinit < 2.87-11
# eject used to be a separate package. 2.1.5 was the last released version,
# eject was merged into util-linux 2.22, so our %version is guaranteed to
# be bigger than the last eject's
Obsoletes:	eject
Provides:	eject = %{version}-%{release}

%rename		fdisk
%rename		tunelp
%rename		schedutils
%ifarch alpha %{sparc} ppc
Obsoletes:	clock < %{version}-%{release}
%endif

# setarch merge in util-linux-ng-2.13
%rename		sparc32
%rename		linux32
%rename		setarch
Requires(pre):	mktemp
# for /bin/awk
Requires(pre):	gawk
# for /usr/bin/cmp
Requires(pre):	diffutils
Requires(pre):	coreutils
# (tpg) add conflicts on older version dues to move su
Conflicts:	coreutils < 8.19-2
# (proyvind): handle sulogin being moved
Conflicts:	sysvinit-tools < 2.87-13
Provides:	/bin/su
Requires:	pam >= 0.66-4
Requires:	shadow-utils >= 4.0.3
Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_mount} = %{version}-%{release}
Requires:	%{lib_uuid} = %{version}-%{release}
%if %{include_raw}
Requires:	udev
%endif

# RHEL/Fedora specific mount options
Patch1:		util-linux-2.22-mount-managed.patch
# add note about ATAPI IDE floppy to fdformat.8
Patch3:		util-linux-ng-2.20-fdformat-man-ide.patch
# 151635 - makeing /var/log/lastlog
Patch5:		util-linux-ng-2.13-login-lastlog.patch
# 231192 - ipcs is not printing correct values on pLinux
Patch8:		util-linux-ng-2.20-ipcs-32bit.patch
# /etc/blkid.tab --> /etc/blkid/blkid.tab
Patch11:	util-linux-ng-2.16-blkid-cachefile.patch

### Upstream patches

### Mandriva Specific patches

# misc documentation fixes for man pages
Patch111:	util-linux-2.11t-mkfsman.patch
# sparc build fix
Patch115:	util-linux-2.22-fix-ioctl.patch
# Autodetect davfs mount attempts
Patch116:	util-linux-2.22-autodav.patch

# crypto patches
# loop-AES patch
# reworked from http://loop-aes.sourceforge.net/updates/util-linux-ng-2.17-20100120.diff.bz2
Patch1100:	util-linux-ng-2.18-loopAES.patch
Patch1101:	util-linux-2.12q-swapon-skip-encrypted.patch
Patch1102:	util-linux-2.12-lower-LOOP_PASSWORD_MIN_LENGTH-for-AES.patch
# load cryptoloop and cypher modules when use cryptoapi
Patch1103:	util-linux-2.12a-cryptoapi-load-module.patch
Patch1104:	util-linux-ng-2.14.1-set-as-encrypted.patch

# clock program for ppc
Patch1200:	util-linux-2.10r-clock-1.1-ppc.patch
# leng options for clock-ppc
Patch1201:	util-linux-2.10s-clock-syntax-ppc.patch
# Added r & w options to chfn (lsb mandate)
Patch1202:	util-linux-2.20-chfn-lsb-usergroups.patch
# fix build on alpha with newer kernel-headers
Patch1203:	util-linux-2.11m-cmos-alpha.patch
# remove mode= from udf mounts (architecture done so that more may come)
Patch1218:	util-linux-ng-2.13-mount-remove-silly-options-in-auto.patch
# (misc) enable option -x on fsck.cramfs , bug 48224
Patch1219:	util-linux-ng-enable_fsck_cramfs.diff
# Mandrivamove patches
Patch1300:	util-linux-ng-2.18-losetup-try-LOOP_CHANGE_FD-when-loop-already-busy.patch

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
others, Util-linux-ng contains the fdisk configuration tool and the login
program.

%package -n	uclibc-%{name}
Summary:	uClibc build of util-linux
Group:		System/Base

%description -n	uclibc-%{name}
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
others, Util-linux-ng contains the fdisk configuration tool and the login
program.

%package -n	%{lib_blkid}
Summary:	Block device ID library
Group:		System/Libraries
License:	LGPLv2+
Conflicts:	%{lib_ext2fs} < 1.41.6-2mnb2

%description -n %{lib_blkid}
This is block device identification library, part of util-linux.

%package -n	uclibc-%{lib_blkid}
Summary:	Block device ID library (uClibc linked)
Group:		System/Libraries
License:	LGPLv2+
Conflicts:	%{lib_ext2fs} < 1.41.6-2mnb2

%description -n	uclibc-%{lib_blkid}
This is block device identification library, part of util-linux.

%package -n	%{lib_blkid_devel}
Summary:	Block device ID library
Group:		Development/C
License:	LGPLv2+
Requires:	%{lib_blkid} = %{version}-%{release}
%if %{with uclibc}
Requires:	uclibc-%{lib_blkid} = %{version}-%{release}
%endif
Conflicts:	%{lib_ext2fs_devel} < 1.41.6-2mnb2
Provides:	libblkid-devel = %{version}-%{release}

%description -n	%{lib_blkid_devel}
This is the block device identification development library and headers,
part of util-linux.

%package -n	%{lib_uuid}
Summary:	Universally unique ID library
Group:		System/Libraries
License:	BSD
Conflicts:	%{lib_ext2fs} < 1.41.8-2mnb2

%description -n	%{lib_uuid}
This is the universally unique ID library, part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	uclibc-%{lib_uuid}
Summary:	Universally unique ID library (uClibc linked)
Group:		System/Libraries
License:	BSD
Conflicts:	%{lib_ext2fs} < 1.41.8-2mnb2

%description -n	uclibc-%{lib_uuid}
This is the universally unique ID library, part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	%{lib_uuid_devel}
Summary:	Universally unique ID library
Group:		Development/C
License:	BSD
Conflicts:	%{lib_ext2fs} < 1.41.8-2mnb2
Requires:	%{lib_uuid} = %{version}
%if %{with uclibc}
Requires:	uclibc-%{lib_uuid} = %{version}-%{release}
%endif
Provides:	libuuid-devel = %{version}-%{release}

%description -n	%{lib_uuid_devel}
This is the universally unique ID development library and headers,
part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	uuidd
Summary:	Helper daemon to guarantee uniqueness of time-based UUIDs
Group:		System/Servers
License:	GPLv2
Requires(pre):	shadow-utils

%description -n	uuidd
The uuidd package contains a userspace daemon (uuidd) which guarantees
uniqueness of time-based UUID generation even at very high rates on
SMP systems.

%package -n	%{lib_mount}
Summary:	Universal mount library
Group:		System/Libraries
License:	LGPLv2+

%description -n	%{lib_mount}
The libmount library is used to parse /etc/fstab,
/etc/mtab and /proc/self/mountinfo files,
manage the mtab file, evaluate mount options, etc.

%package -n	uclibc-%{lib_mount}
Summary:	Universal mount library (uClibc linked)
Group:		System/Libraries
License:	LGPLv2+

%description -n	uclibc-%{lib_mount}
The libmount library is used to parse /etc/fstab,
/etc/mtab and /proc/self/mountinfo files,
manage the mtab file, evaluate mount options, etc.

%package -n	%{lib_mount_devel}
Summary:	Universally unique ID library
Group:		Development/C
License:	LGPLv2+
Requires:	%{lib_mount} = %{version}-%{release}
%if %{with uclibc}
Requires:	uclibc-%{lib_mount} = %{version}-%{release}
%endif
Provides:	libmount-devel = %{version}-%{release}

%description -n	%{lib_mount_devel}
Development files and headers for libmount library.

%prep
%if "%beta" == ""
%setup -q
%else
%setup -q -n %name-%version-%beta
%endif
cp %{SOURCE8} %{SOURCE9} .

%patch1 -p1 -b .options
%patch3 -p1 -b .atapifloppy
%patch5 -p1 -b .lastlog
%patch8 -p1 -b .p8

# Mandriva
%ifarch ppc
%patch1200 -p0
%patch1201 -p1
%endif

#LSB (sb)
%patch1202 -p1 -b .chfnlsb

#fix build on alpha with newer kernel-headers
%ifarch alpha
%patch1203 -p1
%endif

%patch111 -p1 -b .mkfsman
%patch115 -p1 -b .fix-ioctl
%patch116 -p1 -b .autodav

#%patch1100 -p1 -b .loopAES
#%patch1101 -p0 -b .swapon-encrypted
#%patch1102 -p0 -b .loopAES-password
#%patch1103 -p0 -b .load-module
#%patch1104 -p1 -b .set-as-encrypted

#%patch1300 -p1 -b .CHANGE-FD

# FIXME: double-check if this is really obsoleted by the mount rewrite
#patch1218 -p1 -b .silly
%patch1219 -p0

# rebuild build system for loop-AES patch
./autogen.sh

%build
%serverbuild_hardened
unset LINGUAS || :

export CONFIGURE_TOP="$PWD"

%if %{with uclibc}
mkdir -p uclibc
pushd uclibc
%uclibc_configure \
		--bindir=%{uclibc_root}/bin \
		--sbindir=%{uclibc_root}/sbin \
		--prefix=%{uclibc_root} \
		--exec-prefix=%{uclibc_root} \
		--libdir=%{uclibc_root}/%{_lib} \
		--enable-rpath=no \
		--enable-shared=yes \
		--enable-static=no \
		--disable-chfn-chsh \
		--enable-libuuid \
		--enable-libblkid \
		--enable-libmount \
		--disable-mount \
		--disable-losetup \
		--disable-fsck \
		--disable-partx \
		--disable-uuidd \
		--disable-mountpoint \
		--disable-fallocate \
		--disable-unshare \
		--disable-eject \
		--disable-agetty \
		--disable-cramfs \
		--disable-switch_root \
		--disable-pivot_root \
		--disable-kill \
		--disable-utmpdump \
		--disable-rename \
		--disable-login \
		--disable-sulogin \
		--disable-su \
		--disable-schedutils \
		--disable-wall \
		--disable-makeinstall-chown \
		--disable-fsck \
		--disable-raw
%make

popd
%endif

mkdir -p system
pushd  system
%configure2_5x \
	CFLAGS="%{optflags} -Os" \
	--bindir=/bin \
	--sbindir=/sbin \
	--libdir=/%{_lib} \
	--disable-wall \
	--enable-partx \
	--enable-login-utils \
	--enable-kill \
	--enable-write \
	--enable-arch \
	--enable-ddate \
	--disable-mountpoint \
%if %{include_raw}
	--enable-raw \
%endif
	--disable-makeinstall-chown \
	--disable-rpath \
	--with-audit \
	--enable-new-mount \
	--enable-chfn-chsh

# build util-linux
%make

popd

# build nologin
gcc %{optflags} %{ldflags} -o nologin nologin.c

%ifarch ppc
gcc clock-ppc.c %{ldflags} -o clock-ppc
%endif

%install
mkdir -p %{buildroot}/{bin,sbin}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{_mandir}/man{1,6,8,5}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,security/console.apps,blkid}

%if %{with uclibc}
make -C uclibc install-sbinPROGRAMS install-usrlib_execLTLIBRARIES DESTDIR="%{buildroot}"
install -m755 uclibc/setterm -D %{buildroot}%{uclibc_root}%{_bindir}/setterm

mkdir -p %{buildroot}%{uclibc_root}%{_libdir}
for l in lib{blkid,mount,uuid}.so; do
	rm -f %{buildroot}%{uclibc_root}/%{_lib}/$l
	ln -sr %{buildroot}%{uclibc_root}/%{_lib}/$l.*.* %{buildroot}%{uclibc_root}%{_libdir}/$l
done
for bin in blockdev cfdisk chcpu ctrlaltdel fdisk findfs fsck.minix fsfreeze fstrim \
	hwclock mkfs mkfs.bfs mkfs.minix swapoff swapon wipefs; do
	rm -f %{buildroot}%{uclibc_root}/sbin/$bin
done
%endif

# install util-linux
%makeinstall_std -C system install DESTDIR=%{buildroot} MANDIR=%{buildroot}%{_mandir} INFODIR=%{buildroot}%{_infodir}

# install nologin
install -m 755 nologin %{buildroot}/sbin
install -m 644 nologin.8 %{buildroot}%{_mandir}/man8

%if %{include_raw}
echo '.so man8/raw.8' > %{buildroot}%{_mandir}/man8/rawdevices.8
{
  # see RH bugzilla #216664
  mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
  pushd %{buildroot}%{_sysconfdir}/udev/rules.d
  install -m 644 %{SOURCE4} ./60-raw.rules
  popd
}
%endif

# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' %{buildroot}%{_mandir}/man1/login.1

%ifarch %{sparcx}
rm -rf %{buildroot}%{_bindir}/sunhostid
cat << E-O-F > %{buildroot}%{_bindir}/sunhostid
#!/bin/sh
# this should be %{_bindir}/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 %{buildroot}%{_bindir}/sunhostid
%endif

# PAM settings
{
  pushd %{buildroot}%{_sysconfdir}/pam.d
  install -m 644 %{SOURCE1} ./login
  install -m 644 %{SOURCE2} ./remote
  install -m 644 %{SOURCE3} ./chsh
  install -m 644 %{SOURCE3} ./chfn
  install -m 644 %{SOURCE5} ./su
  install -m 644 %{SOURCE6} ./su-l
  popd
}

# This has dependencies on stuff in /usr
mv %{buildroot}{/sbin/,/usr/sbin}/cfdisk

%ifarch ppc
cp -f ./clock-ppc %{buildroot}/sbin/clock-ppc
mv %{buildroot}/sbin/hwclock %{buildroot}/sbin/clock-rs6k
ln -sf clock-rs6k %{buildroot}/sbin/hwclock
%endif
ln -sf ../../sbin/hwclock %{buildroot}/usr/sbin/hwclock
ln -sf ../../sbin/clock %{buildroot}/usr/sbin/clock
ln -sf hwclock %{buildroot}/sbin/clock

# Our own initscript for uuidd
install -D -m 755 %{SOURCE10} %{buildroot}/etc/rc.d/init.d/uuidd
# And a dirs uuidd needs that the makefiles don't create
install -d %{buildroot}/var/run/uuidd
install -d %{buildroot}/var/lib/libuuid

# move flock in /bin, required for udev
# logger is useful in initscripts while /usr isn't mounted as well
# ionice needed for readahead_early
for p in flock logger ionice; do
	mv %{buildroot}{%{_bindir},/bin}/$p
	ln -sf ../../bin/$p %{buildroot}%{_bindir}/$p
done

# remove stuff we don't want
rm -f %{buildroot}%{_mandir}/man1/{line,newgrp,pg}.1*
rm -f %{buildroot}%{_bindir}/{line,newgrp,pg}

# Final cleanup
%ifarch %no_hwclock_archs
rm -f %{buildroot}/sbin/{hwclock,clock} %{buildroot}%{_mandir}/man8/hwclock.8* %{buildroot}/usr/sbin/{hwclock,clock}
%endif
%ifarch s390 s390x
rm -f %{buildroot}/usr/{bin,sbin}/{fdformat,tunelp,floppy} %{buildroot}%{_mandir}/man8/{fdformat,tunelp,floppy}.8*
%endif

# deprecated commands
for I in /sbin/mkfs.bfs \
	/usr/bin/chkdupexe \
	%{_bindir}/scriptreplay
	do
	rm -f %{buildroot}$I
done

# deprecated man pages
for I in man1/chkdupexe.1 \
	man8/mkfs.bfs.8 man1/scriptreplay.1; do
	rm -rf %{buildroot}%{_mandir}/${I}*
done

# we install getopt/getopt-*.{bash,tcsh} as doc files
# note: versions <=2.12 use path "%{_datadir}/misc/getopt/*"
chmod 644 misc-utils/getopt-*.{bash,tcsh}
rm -f %{buildroot}%{_datadir}/getopt/*
rmdir %{buildroot}%{_datadir}/getopt

# link mtab 
ln -sf /proc/mounts %{buildroot}/etc/mtab

# /usr/sbin -> /sbin
for I in addpart delpart partx; do
	if [ -e %{buildroot}/usr/sbin/$I ]; then
		mv %{buildroot}/usr/sbin/$I %{buildroot}/sbin/$I
	fi
done

# /usr/bin -> /bin
for I in taskset; do
	if [ -e %{buildroot}/usr/bin/$I ]; then
		mv %{buildroot}/usr/bin/$I %{buildroot}/bin/$I
	fi
done

# /sbin -> /bin
for I in raw; do
	if [ -e %{buildroot}/sbin/$I ]; then
		mv %{buildroot}/sbin/$I %{buildroot}/bin/$I
	fi
done

# remove vipw and vigr, they belong in shadow-utils
rm -f %{buildroot}%{_sbindir}/{vipw,vigr} %{buildroot}%{_mandir}/man8/{vigr,vipw}.*

%find_lang %{name} %{name}.lang

# the files section supports only one -f option...
mv %{name}.lang %{name}.files

# create list of setarch(8) symlinks
find  %{buildroot}%{_bindir}/ -regextype posix-egrep -type l \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64)$" \
	-printf "%{_bindir}/%f\n" >> %{name}.files

find  %{buildroot}%{_mandir}/man8 -regextype posix-egrep  \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64)\.8.*" \
	-printf "%{_mandir}/man8/%f*\n" >> %{name}.files

%ifarch ppc
%post
ISCHRP=`grep CHRP /proc/cpuinfo`
if [ -z "$ISCHRP" ]; then
  ln -sf /sbin/clock-ppc /sbin/hwclock
fi
%endif

%post -n %{lib_blkid}
[ -e /etc/blkid.tab ] && mv /etc/blkid.tab /etc/blkid/blkid.tab || :
[ -e /etc/blkid.tab.old ] && mv /etc/blkid.tab.old /etc/blkid/blkid.tab.old || :
rm -f /etc/mtab
ln -sf /proc/mounts /etc/mtab

%pre -n uuidd
%_pre_useradd uuidd /var/lib/libuuid /bin/false
%_pre_groupadd uuidd uuidd

%preun -n uuidd
%_preun_service uuidd

%files -f %{name}.files
%doc NEWS AUTHORS
%doc misc-utils/getopt-*.{bash,tcsh}
/bin/arch
/bin/dmesg
%attr(755,root,root)	/bin/login
/bin/lsblk
/bin/more
/bin/kill
/bin/taskset
/bin/ionice
/bin/findmnt
/bin/su
/bin/wdctl
%if %{include_raw}
/bin/raw
%config %{_sysconfdir}/udev/rules.d/60-raw.rules
%endif
%config(noreplace) %{_sysconfdir}/pam.d/chfn
%config(noreplace) %{_sysconfdir}/pam.d/chsh
%config(noreplace) %{_sysconfdir}/pam.d/login
%config(noreplace) %{_sysconfdir}/pam.d/remote
%config(noreplace) %{_sysconfdir}/pam.d/su
%config(noreplace) %{_sysconfdir}/pam.d/su-l
%ghost %verify(not md5 size mtime) %config(noreplace,missingok) /etc/mtab
/sbin/agetty
%{_mandir}/man8/agetty.8*
/sbin/blkid
/sbin/blockdev
/sbin/fstrim
/sbin/pivot_root
/sbin/ctrlaltdel
/sbin/addpart
/sbin/delpart
/sbin/partx
/sbin/fsfreeze
/sbin/swaplabel
%{_mandir}/man8/partx.8*
%{_mandir}/man8/addpart.8*
%{_mandir}/man8/delpart.8*
%{_mandir}/man8/findmnt.8*
%{_mandir}/man8/fsfreeze.8*
%{_mandir}/man8/fstrim.8*
%{_mandir}/man8/lsblk.8*
%{_mandir}/man8/swaplabel.8*
%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sparcx} %mips %arm
/sbin/sfdisk
%{_mandir}/man8/sfdisk.8*
%{_sbindir}/cfdisk
%{_mandir}/man8/cfdisk.8*
%endif
/sbin/fdisk
%{_mandir}/man8/fdisk.8*
%ifnarch %no_hwclock_archs
/sbin/clock
%{_sbindir}/clock
/sbin/hwclock
/usr/sbin/hwclock
%{_mandir}/man8/hwclock.8*
%endif
%ifarch ppc
/sbin/clock-ppc
/sbin/clock-rs6k
%endif
/sbin/findfs
/sbin/fsck
/sbin/mkfs
/sbin/mkswap
/sbin/nologin
/sbin/sulogin
%{_mandir}/man8/nologin.8*
%{_bindir}/chrt
%{_bindir}/ionice
%{_bindir}/cal
%attr(4711,root,root)	%{_bindir}/chfn
%attr(4711,root,root)	%{_bindir}/chsh
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%ifarch %ix86 alpha ppc ppc64 %{sparcx} x86_64 %mips %arm
%{_bindir}/cytune
%{_mandir}/man8/cytune.8*
%endif
%{_bindir}/ddate
%{_bindir}/eject
%ifnarch s390 s390x
%{_sbindir}/fdformat
%endif
/bin/flock
%{_bindir}/flock
%{_bindir}/fallocate
%{_bindir}/getopt
%{_bindir}/hexdump
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/isosize
/bin/logger
%{_bindir}/logger
%{_bindir}/look
%{_bindir}/lslocks
%{_bindir}/mcookie
%{_bindir}/utmpdump
%ifarch %ix86 alpha ia64 x86_64 s390 s390x ppc ppc64 %{sparcx} %mips %arm
/sbin/fsck.cramfs
/sbin/mkfs.cramfs
%endif
/sbin/fsck.minix
/sbin/mkfs.minix
/sbin/chcpu
%{_bindir}/namei
%_bindir/prlimit
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%{_bindir}/setarch
%{_bindir}/setsid
%{_bindir}/setterm
%ifarch %{sparcx}
%{_bindir}/sunhostid
%endif
%{_bindir}/tailf
%{_bindir}/ul
%{_bindir}/unshare
%{_bindir}/uuidgen
%{_bindir}/whereis
%{_bindir}/ipcmk
%{_bindir}/lscpu
%attr(2755,root,tty)	%{_bindir}/write
%{_sbindir}/readprofile
%ifnarch s390 s390x
%{_sbindir}/tunelp
%endif
%{_sbindir}/rtcwake
%{_sbindir}/ldattach
%{_sbindir}/resizepart
%{_mandir}/man1/arch.1*
%{_mandir}/man1/cal.1*
%_mandir/man8/chcpu.8*
%{_mandir}/man1/chfn.1*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/ddate.1*
%{_mandir}/man1/eject.1*
%{_mandir}/man1/flock.1*
%{_mandir}/man1/fallocate.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/login.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/more.1*
%{_mandir}/man1/namei.1*
%_mandir/man1/prlimit.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/setterm.1*
%{_mandir}/man1/tailf.1*
%{_mandir}/man1/ul.1*
%{_mandir}/man1/uuidgen.1*
%{_mandir}/man1/unshare.1*
%{_mandir}/man1/utmpdump.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*
%{_mandir}/man1/chrt.1*
%{_mandir}/man1/ionice.1*
%{_mandir}/man1/taskset.1*
%{_mandir}/man1/renice.1*
%{_mandir}/man1/ipcrm.1*
%{_mandir}/man1/ipcs.1*
%{_mandir}/man1/setsid.1*
%{_mandir}/man1/dmesg.1*
%{_mandir}/man1/ipcmk.1*
%{_mandir}/man1/lscpu.1*
%{_mandir}/man3/uuid_generate_time_safe.3*
%{_mandir}/man8/blockdev.8*
%{_mandir}/man8/blkid.8*
%{_mandir}/man8/ctrlaltdel.8*
%ifnarch s390 s390x
%{_mandir}/man8/fdformat.8*
%endif
%{_mandir}/man8/findfs.8*
%{_mandir}/man8/fsck.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/lslocks.8*
%{_mandir}/man8/mkfs.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/pivot_root.8*
%if %{include_raw}
%{_mandir}/man8/raw.8*
%{_mandir}/man8/rawdevices.8*
%endif
%_mandir/man8/readprofile.8*
%_mandir/man8/resizepart.8*
%ifnarch s390 s390x
%{_mandir}/man8/tunelp.8*
%endif
%{_mandir}/man8/setarch.8*
%{_mandir}/man8/sulogin.8*
%{_mandir}/man8/rtcwake.8*
%{_mandir}/man8/ldattach.8*
%{_mandir}/man8/wipefs.8*
%{_mandir}/man8/wdctl.8*
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.minix.8*
%attr(4755,root,root)	/bin/mount
%attr(4755,root,root)	/bin/umount
/sbin/swapon
/sbin/swapoff
/sbin/switch_root
%{_mandir}/man5/fstab.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/switch_root.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/losetup.8*
%lang(ru)	%{_mandir}/ru/man1/ddate.1*
/sbin/losetup
/sbin/wipefs

%if %{with uclibc}
%files -n uclibc-%{name}
%{uclibc_root}/sbin/blkid
%{uclibc_root}/sbin/mkswap
%{uclibc_root}/sbin/sfdisk
%{uclibc_root}/sbin/swaplabel
%{uclibc_root}%{_bindir}/setterm
%endif

%files -n uuidd
%{_initrddir}/uuidd
%{_mandir}/man8/uuidd.8*
/lib/systemd/system/uuidd.*
%attr(-, uuidd, uuidd) %{_sbindir}/uuidd
%dir %attr(2775, uuidd, uuidd) /var/lib/libuuid
%dir %attr(2775, uuidd, uuidd) /var/run/uuidd

%files -n %{lib_blkid}
%dir /etc/blkid
/%{_lib}/libblkid.so.%{lib_blkid_major}*

%if %{with uclibc}
%files -n uclibc-%{lib_blkid}
%{uclibc_root}/%{_lib}/libblkid.so.%{lib_blkid_major}*
%endif

%files -n %{lib_blkid_devel}
%{_libdir}/libblkid.a
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libblkid.so
%endif
%{_libdir}/libblkid.so
%{_includedir}/blkid
%{_mandir}/man3/libblkid.3*
%{_libdir}/pkgconfig/blkid.pc

%files -n %{lib_uuid}
/%{_lib}/libuuid.so.%{lib_uuid_major}*

%files -n uclibc-%{lib_uuid}
%{uclibc_root}/%{_lib}/libuuid.so.%{lib_uuid_major}*

%files -n %{lib_uuid_devel}
%{_libdir}/libuuid.a
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libuuid.so
%endif
%{_libdir}/libuuid.so
%{_includedir}/uuid
%{_mandir}/man3/uuid.3*
%{_mandir}/man3/uuid_clear.3*
%{_mandir}/man3/uuid_compare.3*
%{_mandir}/man3/uuid_copy.3*
%{_mandir}/man3/uuid_generate.3*
%{_mandir}/man3/uuid_generate_random.3*
%{_mandir}/man3/uuid_generate_time.3*
%{_mandir}/man3/uuid_is_null.3*
%{_mandir}/man3/uuid_parse.3*
%{_mandir}/man3/uuid_time.3*
%{_mandir}/man3/uuid_unparse.3*
%{_libdir}/pkgconfig/uuid.pc

%files -n %{lib_mount}
/%{_lib}/libmount.so.%{lib_mount_major}*

%if %{with uclibc}
%files -n uclibc-%{lib_mount}
%{uclibc_root}/%{_lib}/libmount.so.%{lib_mount_major}*
%endif

%files -n %{lib_mount_devel}
%{_includedir}/libmount/libmount.h
%{uclibc_root}%{_libdir}/libmount.so
%{_libdir}/libmount.so
%{_libdir}/libmount.*a
%{_libdir}/pkgconfig/mount.pc


%changelog
* Mon Oct 29 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.22-6.2
+ Revision: 820302
+ rebuild (emptylog)

* Mon Oct 29 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.22-6.1
+ Revision: 820283
- workaround bs bs, pushing exclusively for i586

* Sun Oct 28 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.22-6
+ Revision: 820149
- fix license
- use %%uclibc_configure macro
- drop patch for pulling in libintl, it's now rather done by latest uClibc
- reupload again due to package going missing in repos..

* Thu Oct 04 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.22-5
+ Revision: 818412
- make sure that we pull in latest rpm to get proper uclibc() deps
- add conflicts on older sysvinit-tools to handle sulogin being moved

* Thu Oct 04 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.22-4
+ Revision: 818396
- rebuild with fixed rpm for uclibc() deps

* Thu Oct 04 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.22-3
+ Revision: 818357
- make ncurses dependency versioned so that we're sure to pull in latest
- bump versioned uClibc-devel buildrequires
- build more uclibc linkd binaries

* Mon Sep 24 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.22-2
+ Revision: 817423
- don't bother passing '-fno-strict-aliasing'
- SILENCE: actually do the build of blkid as well
- package uClibc linked blkid
- add missing dependencies on uclibc libs for library packages
- be sure to build against latest uClibc with locale enabled
- fix and change to dynamic build against uclibc
- do uClibc build of libmount also

* Thu Sep 06 2012 Bernhard Rosenkraenzer <bero@bero.eu> 2.22-1
+ Revision: 816422
- Update to 2.22 final

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - spec file clean

* Sat Aug 25 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2.22-0.rc2.2
+ Revision: 815746
- move su.pamd and su-l.pamd from coreutils (needed for working su auth)
- add conflicts on coreutils older than 8.19-2
- add provides on /bin/su

* Mon Aug 20 2012 Bernhard Rosenkraenzer <bero@bero.eu> 2.22-0.rc2.1
+ Revision: 815458
- BuildRequires pkgconfig(systemd) for uuidd startup files
- Update to 2.22-rc2

* Tue Jun 19 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2.21.2-4
+ Revision: 806266
- use %%serverbuild_hardened macro
- enable --enable-new-mount (finally mount can handle x-* fstab options, like x-gvfs-show)

* Mon Jun 04 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.21.2-3
+ Revision: 802398
- add conflicts on util-linux 2.7.18-6 to avoid file conflicts with /etc/mtab

* Tue May 29 2012 Guilherme Moro <guilherme@mandriva.com> 2.21.2-2
+ Revision: 801040
- Own mtab now
  fix unused BR

* Sat May 26 2012 Bernhard Rosenkraenzer <bero@bero.eu> 2.21.2-1
+ Revision: 800780
- Update to 2.21.2

* Fri Mar 30 2012 Bernhard Rosenkraenzer <bero@bero.eu> 2.21.1-1
+ Revision: 788387
- Update to 2.21.1

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - s/util-linux-ng/util-linux/

* Wed Mar 07 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.21-3
+ Revision: 782727
- s/sunsparc/sparcx/
- rebuild with internal dependency generator

* Tue Mar 06 2012 Bernhard Rosenkraenzer <bero@bero.eu> 2.21-2
+ Revision: 782473
- Fix login.defs parser in /bin/login, bug #65355

* Sun Feb 26 2012 Bernhard Rosenkraenzer <bero@bero.eu> 2.21-1
+ Revision: 780810
- Update to 2.21

* Sun Feb 19 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2.20.1-1
+ Revision: 777496
- update to new version 2.20.1
- fix find_lang macro

* Fri Feb 10 2012 Oden Eriksson <oeriksson@mandriva.com> 2.20-2
+ Revision: 772468
- fix deps

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - drop uclibc build for now as it segfaults
    - rebuild without libtool .la files

* Sun Sep 04 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 2.20-1
+ Revision: 698245
- update to new version 2.20
- rediff patches 3, 8, 115. 1202, 1212
- enable ddate
- disable mountpoint (already in systemd)

* Sat Jul 16 2011 Eugeni Dodonov <eugeni@mandriva.com> 2.19.1-1
+ Revision: 690114
- New version 2.19.1.

* Tue May 10 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.19-3
+ Revision: 673175
- link stuff with %%ldflags..
- enable uClibc build
- cleanups
- cleanups

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 2.19-2
+ Revision: 650758
- rebuild to obosletes old packages

* Wed Mar 30 2011 Eugeni Dodonov <eugeni@mandriva.com> 2.19-1
+ Revision: 649155
- Add libtool to BR
- Update to util-linux 2.19.
  Drop P20 and P21 (upstream)
  Rediff P116, P1207 and P1218.
- Util-linux-ng was renamed back to util-linux with 2.19 version.

* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 2.18-3mdv2011.0
+ Revision: 627160
- add conflicts on ossp_uuid

* Mon Nov 29 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 2.18-2mdv2011.0
+ Revision: 603118
- P20: agetty -s/-c support with fixes (GIT)
  P21: fsck -l support with whole disk locking fix (GIT)

* Sun Sep 05 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.18-1mdv2011.0
+ Revision: 576013
- update to new version 2.18
- drop patches 15, 20 and 1220 as they were fixed by upstream
- update patch 1100
- rediff patch 1300
- package libmount
- protect majors everywhere
- compile with Os flag
- spec file clean

* Wed Jun 09 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.17.1-5mdv2010.1
+ Revision: 547295
- Apply "libblkid: fix infinite loop when probe chain bails out early"
  from upstream git, fixes mkinitrd hangs in nash for some users
  (#58697).

* Wed Mar 31 2010 Frederic Crozat <fcrozat@mandriva.com> 2.17.1-4mdv2010.1
+ Revision: 530431
- Replace file-dependencies with package dependencies

* Mon Mar 22 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.17.1-3mdv2010.1
+ Revision: 526669
- Requiring both ncurses-devel and ncursesw-devel.
- cfdisk requires libncursesw to work properly in utf-8 environments (#58277)

* Mon Mar 15 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.17.1-2mdv2010.1
+ Revision: 519122
- libblkid: reset BLKID_TINY_DEV flag in blkid_probe_set_device
  (from Pascal Terjan). For example, fixes devices not detected
  anymore by nash-resolveDevice on some systems.

* Wed Feb 24 2010 Thomas Backlund <tmb@mandriva.org> 2.17.1-1mdv2010.1
+ Revision: 510759
- update to 2.17.1
- drop P12 (drbd crash fix, merged upstream)
- rediff P1100 (loop-AES support)

* Thu Feb 11 2010 Pascal Terjan <pterjan@mandriva.org> 2.17-2mdv2010.1
+ Revision: 504375
- Upstream patch fixing a crash in libblkid (#57325)

* Mon Jan 25 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.17-1mdv2010.1
+ Revision: 496133
- Update to 2.17.
  Drop P10 (no longer used and dropped upstream).

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add uclibc static library to %%files conditionally
    - build uclibc linked static libraries

* Tue Dec 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.16.2-1mdv2010.1
+ Revision: 472224
- Updated to 2.16.2.
  Rediff loopAES patch.
  Drop P12,P13,P14,P15 (merged upstream).

* Wed Oct 14 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2010.0
+ Revision: 457358
- Patch12 (GIT): RH bug 522718 - sfdisk -d /dev/xxx | sfdisk --force /dev/yyy fails when LANG is set
- Patch13 (GIT): Swsuspend does not work
- Patch14 (GIT): Do not search for hardware clock when using systz
- Patch15 (GIT): Set kernel timezone when using systz utc (for FAT timestamp)

* Mon Sep 28 2009 Olivier Blin <blino@mandriva.org> 2.16.1-2mdv2010.0
+ Revision: 450402
- fix filelist for mips & arm (from Arnaud Patard)

* Fri Sep 11 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-1mdv2010.0
+ Revision: 438495
- Release 2.16.1
- Regenerate loopAES patch

* Tue Sep 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16-5mdv2010.0
+ Revision: 433546
- Remove hard dependency on consolekit
- Hide pam_console errors on login

* Tue Aug 18 2009 Funda Wang <fwang@mandriva.org> 2.16-4mdv2010.0
+ Revision: 417587
- add requires on libuuid to devel package

* Tue Aug 04 2009 Frederic Crozat <fcrozat@mandriva.com> 2.16-3mdv2010.0
+ Revision: 408677
- Add missing Conflicts to ease upgrade

* Mon Aug 03 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.16-1mdv2010.0
+ Revision: 408563
- Fixed group.
- Using right macros for libuuid.
- Updated to 2.16.
  Added support for libuuid.

* Wed Jun 17 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2010.0
+ Revision: 386601
- Release 2.15.1 final
- Remove patch50, merged upstream
- Regenerate patch1100

* Thu Jun 11 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-0.rc1.3mdv2010.0
+ Revision: 385125
- Patch11 (Fedora): ensure blkid cache is in /etc/blkid/blkid.tab
- Enforce dependency from main package on lib package

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-0.rc1.2mdv2010.0
+ Revision: 384220
- Fix devel package name
- Non-bootstrap build, enable back uuid support (buildrequires e2fsprogs-devel)

* Mon Jun 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-0.rc1.1mdv2010.0
+ Revision: 384049
- Release 2.15.1-rc1
- Enable libblkid support (needed for latest HAL, udev..)
- add bootstrap support (circle build deps between util-linux-ng and e2fsprogs)

* Fri May 29 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.15-1mdv2010.0
+ Revision: 381112
- Updated to 2.15.
  Updated to latest loop-aes patch.
  Rediffed patches.

* Tue Mar 17 2009 Michael Scherer <misc@mandriva.org> 2.14.1-7mdv2009.1
+ Revision: 356302
- fix crash reported by ofaurax , on the feature activated by last commit

* Mon Mar 16 2009 Michael Scherer <misc@mandriva.org> 2.14.1-6mdv2009.1
+ Revision: 355895
- fix #48224, by activating cramfs checking and extraction

* Tue Jan 13 2009 Oden Eriksson <oeriksson@mandriva.com> 2.14.1-5mdv2009.1
+ Revision: 329055
- rediffed patches

* Fri Oct 17 2008 Pascal Terjan <pterjan@mandriva.org> 2.14.1-4mdv2009.1
+ Revision: 294725
- Rediff Patch1300 better (#44530, #44112)
- Drop patch1215 applied upstream and applying at the wrong place (breaking fdisk on files)

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-3mdv2009.0
+ Revision: 290068
- Move ionice to /bin (needed for readahead_early)

* Tue Sep 16 2008 Olivier Blin <blino@mandriva.org> 2.14.1-2mdv2009.0
+ Revision: 285257
- fix typo in french translation (#42783)

* Tue Sep 16 2008 Olivier Blin <blino@mandriva.org> 2.14.1-1mdv2009.0
+ Revision: 285227
- adapt to new fdformat path (now in /usr/sbin)
- package ldattach
- sync last patch from Fedora (mount in selinux context, mostly unused)
- rediff losetup change fd patch
- drop mkswap-uuid-option patch (merged upstream)
- rediff users (in mtab) patch (because of pamconsole drop)
- rediff set-as-encrypted patch (because of pamconsole drop)
- rediff loop-AES patch (painfully, based on loop-AES patch update for 2.14)
- remove mount-twiceloop and swapon-swsuspend patches (merged)
- revert umount-autoclear patch for easier rediff of loop-AES patch
- use updated blockdev-rmpart patch from Fedora
- drop deprecated mount-pamconsole patch
- use updated mount-managed patch from Fedora
- 2.14.1
- update url

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Funda Wang <fwang@mandriva.org> 2.13.1-7mdv2009.0
+ Revision: 214610
- fix conflicts with new shadow-utils

* Sun May 18 2008 Vincent Danen <vdanen@mandriva.com> 2.13.1-6mdv2009.0
+ Revision: 208801
- don't package vipw or vigr, they belong in shadow-utils now for tcb support

* Wed Mar 05 2008 Andreas Hasenack <andreas@mandriva.com> 2.13.1-5mdv2008.1
+ Revision: 180034
- move system-auth to the bottom of the session section
  in the pam config files, or else a "sufficient" module
  in the included file could prevent other modules *after*
  the include statement from being called (#37801)

* Thu Feb 21 2008 Olivier Blin <blino@mandriva.org> 2.13.1-4mdv2008.1
+ Revision: 173573
- use upstream version of the -U <uuid> patch for mkswap
- add -U <uuid> option in mkswap

* Wed Jan 16 2008 Olivier Blin <blino@mandriva.org> 2.13.1-3mdv2008.1
+ Revision: 153751
- include i386/linux32/linux64 man pages (from Fedora spec)
- rediff loop-AES patch
- remove patches applied upstream
- 2.13.1
- restore BuildRoot

* Thu Dec 27 2007 Pascal Terjan <pterjan@mandriva.org> 2.13.0.1-3mdv2008.1
+ Revision: 138377
- Add back minix utilities, they are useful

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix name in description

* Thu Nov 22 2007 Olivier Blin <blino@mandriva.org> 2.13.0.1-2mdv2008.1
+ Revision: 111273
- fix smb mount if path exists locally (#35084, thanks to Pascal Terjan)

  + Funda Wang <fwang@mandriva.org>
    - correct URL

* Mon Oct 22 2007 Thierry Vignaud <tv@mandriva.org> 2.13.0.1-1mdv2008.1
+ Revision: 101288
- new security release
- s/Mandrake/Mandriva/

* Tue Sep 04 2007 Olivier Blin <blino@mandriva.org> 2.13-3mdv2008.0
+ Revision: 79316
- fix removal of non handled mount options (#33081)

* Tue Sep 04 2007 Olivier Blin <blino@mandriva.org> 2.13-2mdv2008.0
+ Revision: 79272
- build with -fno-ivopts to workaround a gcc optimization bug that breaks fs detection (#33047)
- fix build with -O0

* Tue Aug 28 2007 Olivier Blin <blino@mandriva.org> 2.13-1mdv2008.0
+ Revision: 72604
- 2.13
- rediff loop-AES patch

* Sat Aug 25 2007 Olivier Blin <blino@mandriva.org> 2.13-0.rc3.20070821git.2mdv2008.0
+ Revision: 71289
- fix obsoleted versions

* Sat Aug 25 2007 Olivier Blin <blino@mandriva.org> 2.13-0.rc3.20070821git.1mdv2008.0
+ Revision: 71246
- drop obsolete rdev commands
- rediff losetup change-fd patch
- rediff set-as-encrypted patch
- rediff loop-AES patch from Debian port to util-linux-ng
- merge mount/losetup/util-linux into util-linux-ng
- remove deprecated commands and man pages (fsck.minix, mkfs.minix, mkfs.bfs, scriptreplay)
- add rtcwake files
- package setarch files and provides/obsoletes setarch/linux32/sparc32
- sync man page sections
- move raw back in /bin (and not in / like Fedora :-p)
- explicitely enable arch build
- remove cd-extra detection patch, this has to be in blkid or vol_id
- remove nfs(5) nolock patch, man page is now in nfs-utils-clients and contains nolock doc
- util-linux-ng-2.13-rc3 (git 20070821 snapshot)
- sync Fedora patches
- drop patches merged upstream
- moving util-linux as util-linux-ng

* Sat Aug 11 2007 Olivier Blin <blino@mandriva.org> 2.13-0.pre7.6mdv2008.0
+ Revision: 61964
- fix uuid support in mkswap (upstream patch from util-linux-ng)

* Fri Aug 10 2007 Olivier Blin <blino@mandriva.org> 2.13-0.pre7.5mdv2008.0
+ Revision: 61562
- rediff loop-AES related patches (#32263)
- disable losetup -a and -r patches (already in loop-AES patch)
- drop gzloop patch (we don't have kernel support anymore)
- restore dropped crypto patches
- add support of relatime option in mount

  + Thierry Vignaud <tv@mandriva.org>
    - enable audit support

  + Christiaan Welvaart <spturtle@mandriva.org>
    - fix install of clock-ppc, shouldn't depend on build dir name

* Thu Aug 02 2007 Olivier Blin <blino@mandriva.org> 2.13-0.pre7.3mdv2008.0
+ Revision: 58161
- obsolete and provide schedutils (merged in 2.13-pre1)

* Thu Aug 02 2007 Olivier Blin <blino@mandriva.org> 2.13-0.pre7.2mdv2008.0
+ Revision: 57981
- buildrequires e2fsprogs-devel
- buildrequire gettext-devel
- pray and upload (Titi approved)
- add pam config file for remote login
- remove manual pivot_root installation, it's handled by autotools
- use a configure option to disable wall
- add some (59!) patches from Fedora (quickly reviewed, but if it's good for them, it's good for us)
- remove loop-AES, gzloop and most other crypto patches (not really working/used according to Pixel)
- replace CVE-2007-0822 with Fedora's version
- replace our cal width patch with Fedora's version
- add partx/addpart/delpart doc (from Fedora)
- replace our execl patch with Fedora's version
- replace our utmp fixes with Fedora's timeval patch
- sync pam files with Fedora
- remove large file patch, useless since we now build with _FILE_OFFSET_BITS=64
- remove custom mkcramfs build and drop mkcramfs binary (use mkfs.cramfs instead)
- use procpartitions patch from Fedora
- remove s390 patches
- merge kudzu and managed patch (like Fedora)
- remove separated cramfs1.1 (already in upstream package)
- add cramfs fixes from Fedora package
- remove gecossize patch (RH dropped it 3 years ago)
- remove unapplied patches from spec
- remove build fixes patch, O_LARGEFILE is defined in bits/fcntl.h
- remove swapon/swapoff label patch (handled upstream as of 2.12n)
- use Fedora patch for swapon symlink check (which is correctly located in is_in_proc_swaps() function)
- remove patches checking /proc/swaps for swapon/swapoff, already implemented upstream as of 2.11s
- update loop-AES patch, rediff it, and renumber it
- add taskset, chrt and ionice
- move addpart/delpart/partx in /sbin (from Fedora)
- do not install wall and scriptreplay
- update doc files list
- merge raw stuff with Fedora
- remove nfs man pages
- elvtune has been removed upstream
- sln has been removed upstream
- setfdprm has been removed upstream
- add back arch command (from Fedora)
- rebuild autotools stuff and add patch to fix MKINSTALLDIRS (from Fedora)
- enable login-utils, kill, write, and rdev
- use prefix trick from Fedora to avoid installing in /usr/usr
- install getopt/getopt-*.{bash,tcsh} as doc files (like Fedora)
- remove kbdrate (to be moved in a new kbd package)
- rescuept has been removed (this will break diskdrake's "rescue partition table" feature)
- adapt partx build to autotools
- remove merged linux/compiler.h hacks
- rework cdextra patch to use autotools
- add ocfs2 patch (from Fedora)
- add mount sloppy patch for external mount.nfs(4) calls (from Fedora)
- use new uhelper patch from Fedora
- remove fortify fixes, since NFS code has been dropped
- sync NFS patches with Fedora to use nfs-utils commands in mount/unmount
- drop user label umount patch, implemented upstream
- drop mount 2gb patch, we now define _FILE_OFFSET_BITS=64 by default
- drop llseek syscall patch, plain lseek() is now used
- drop more termcap patch (use ncurses only, like Fedora)
- remove HAVE_PIVOT_ROOT define, this is done by configure
- move cflags in make_cflags macro (and define _FILE_OFFSET_BITS=64)
- replace nonroot patch with configure and preprocessor options (like Fedora)
- replace "no chkdupexe" patch by rm commands (like Fedora)
- remove mdk conf patch, util-linux now uses autotools
- 2.13-pre7
- make fdisk reread partition table on block devices only (from pterjan)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update source1 : call ConsoleKit pam module and add a dependency on it

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 2.12r-15mdv2008.0
+ Revision: 45105
- using serverbuild macro (-fstack-protector-all)

* Tue Jun 19 2007 Olivier Blin <blino@mandriva.org> 2.12r-14mdv2008.0
+ Revision: 41419
- rebuild for new slang

* Wed May 09 2007 Olivier Blin <blino@mandriva.org> 2.12r-13mdv2008.0
+ Revision: 25684
- do not include asm/kbio.h (from Per Oyvind Karlsen, #30624)
- use bunzipped patches (fix wrong srpm2svn.sh import)
- include sfdisk and cfdisk on sparc too (from Per Oyvind Karlsen, #30623)


* Wed Mar 21 2007 Andreas Hasenack <andreas@mandriva.com> 2.12r-12mdv2007.1
+ Revision: 147255
- fix for CVE-2007-0822 vulnerability, imported from
  2007.0 official updates

* Fri Mar 09 2007 Olivier Blin <oblin@mandriva.com> 2.12r-11mdv2007.1
+ Revision: 139439
- fix buffer overflow in cal (rediffed patch from Pablo, #29311)

* Wed Feb 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12r-10mdv2007.1
+ Revision: 123886
-Remove antique obsolete (special dedicace to dadou)
-Patch225 (Fedora): add support for umount helper (Mdv bug #24692)

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - merge in ppc64 fixes

  + Olivier Blin <oblin@mandriva.com>
    - Import util-linux

* Fri Jun 30 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.12r-8mdv2007.0
- fix sparc build (P1212)
- use %%{sunsparc} macro
- no sfdisk & cfdisk on sparc
- fix prereq-use
- add requires on info-install and use it at correct time (%%preun in stead of %%postun)
- fix macro-in-%%changelog

* Sat Jun 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12r-7mdv2007.0
- Update patch218 to refresh non handled options list for various fs (Mdv bug #23264)
- Remove patch 225, merged into patch 218

* Wed May 24 2006 Olivier Blin <oblin@mandriva.com> 2.12r-6mdk
- move logger in /bin, for initscripts

* Fri Apr 07 2006 Olivier Blin <oblin@mandriva.com> 2.12r-5mdk
- move flock in /bin, required for udev

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 2.12r-4mdk
- use "include" directive instead of deprecated pam_stack in pam.d
  configuration files (and strip modules path)
- use URL of an up-to-date mirror

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.12r-3mdk
- drop selinux support

* Mon Dec 26 2005 Olivier Blin <oblin@mandriva.com> 2.12r-2mdk
- Patch1211: don't fail in "swapon -a" when using labels and -e option

* Sat Oct 08 2005 Olivier Blin <oblin@mandriva.com> 2.12r-1mdk
- 2.12r
- remove Patch1400 (merged upstream)

* Wed Sep 21 2005 Olivier Blin <oblin@mandriva.com> 2.12q-7mdk
- Patch1400 (Vincent Danen): security fix for CAN-2005-2876
  (don't allow umount -r when not root)

* Mon Sep 19 2005 Olivier Blin <oblin@mandriva.com> 2.12q-6mdk
- Patch218:
  o really ignore utf8 option if fs doesn't handle it
  o udf do support utf8
  o allow to remove conflicting options
    (for example utf8 if fs is udf and iocharset is specified)

* Sat Aug 27 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.12q-5mdk
- fortify fixes
- honor "mode=" for devpts filesystems (#16269, LSB, Stew)

* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.12q-4mdk
- varargs fixes

* Fri May 13 2005 Olivier Blin <oblin@mandriva.com> 2.12q-3mdk
- only keep utf8 option for iso9660, ntfs and vfat (update patch 218)

* Thu May 05 2005 Arnaud Patard <apatard@mandriva.com> 2.12q-2mdk
- Fix a patch that was badly applying. This was causing in a double close in 
  some cases.

* Sat Apr 30 2005 Arnaud Patard <apatard@mandriva.com> 2.12q-1mdk
- New upstream version
- Rediff patches : 0,106,115,116,121,204,207,209,211,214,215,221,1208,1300
- Updated patch : 213
- Drop the limitation on partition number. This one was preventing to have more
  than 16 partitions on ide devices.
- Added a patch for guessing if a cd is a cd-extra or not.
- Updated nfs mount version to the kernel version
- Dropped the retryudp patch as the mount program relies now on the portmap informations

* Fri Mar 04 2005 Pixel <pixel@mandrakesoft.com> 2.12a-12mdk
- sfdisk warnings must not be on stdout, otherwise they get in the way when restoring

* Mon Feb 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.12a-11mdk 
- Patch221 (Fedora): add support for "pamconsole"
- Patch222 (Fedora): add support for "managed"

* Fri Jan 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.12a-10mdk
- use glibc syscall() to use syscalls, ban use of <asm/unistd.h>

* Wed Jan 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.12a-9mdk
- patch 160: fix raw devices with udev (#11511)

* Sat Jan 08 2005 Olivier Blin <blino@mandrake.org> 2.12a-8mdk
- fix patch128, codepage option isn't supported by udf

* Wed Jan 05 2005 Pixel <pixel@mandrakesoft.com> 2.12a-7mdk
- in patch218: remove the realloc which causes some bug (on non malloc'ed pointers?)

* Tue Jan 04 2005 Pixel <pixel@mandrakesoft.com> 2.12a-6mdk
- rework Patch218: instead of black listing some options for some fs types,
  white list them
- fix Summary for losetup and mount (as requested by rpmlint)

* Fri Sep 17 2004 Olivier Blin <blino@mandrake.org> 2.12a-5mdk
- update Patch218: remove codepage option for udf
  (to be able to mount udf with magicdev)

* Wed Sep 08 2004 Olivier Blin <blino@mandrake.org> 2.12a-4mdk
- Patch1207: do not hide users option in mtab
  (so that kde can recognize partitions it can unmount)

* Fri Sep 03 2004 Olivier Blin <blino@mandrake.org> 2.12a-3mdk
- remove more silly options when mounting in "auto" fstype :
  codepage, iocharset and umask options can't be used with ext2 and ext3
  (useful to be able to mount fat and ext2/ext3 usb keys with the same options)
- Patch121: fix compilation issues

* Tue Jul 27 2004 Pixel <pixel@mandrakesoft.com> 2.12a-2mdk
- rebuild for new slang (as requested by Marcel Pol)

* Tue Jul 20 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.12a-1mdk
- 2.12a.
- enable selinux option.
- load cryptoapi and cypher modules when use cryptoapi (220).

* Fri Jul 16 2004 Pixel <pixel@mandrakesoft.com> 2.12-7mdk
- fix unstripped-binary-or-object and non-standard-executable-perm for /sbin/{addpart,delpart,kbdrate,partx}

* Fri Jul 16 2004 Pixel <pixel@mandrakesoft.com> 2.12-5mdk
- add Mandrakemove losetup patches:
  - try LOOP_CHANGE_FD when loop already busy
  - handle gzloop pseudo encryption

* Fri Jul 16 2004 Pixel <pixel@mandrakesoft.com> 2.12-4mdk
- change LOOP_PASSWORD_MIN_LENGTH from 20 to 3
(drakloop and diskdrake will ensure 6 or maybe 8 long passwords, but 20 is much too long)

* Sat Apr 24 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.12-3mdk
- chfn/chsh unckecked pam return error (vdanen).

